
#import "palmwms_objc_json_client.h"

@implementation ExceptionCode
@synthesize code;
@synthesize message;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation RsResponse
@synthesize code;
@synthesize message;
@synthesize data;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation BusbillDtl
@synthesize fid;
@synthesize billNumber;
@synthesize customerUuid;
@synthesize customerCode;
@synthesize customerName;
@synthesize customerLng;
@synthesize customerLat;
@synthesize state;
@synthesize customerAddress;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation QueryDefinition
@synthesize orders;
@synthesize pageNumber;
@synthesize pageSize;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

NSString * const QUERYORDERDIRECTION_ASC = @"asc";
NSString * const QUERYORDERDIRECTION_DESC = @"desc";


@implementation RsQueryResult
@synthesize paging;
@synthesize page;
@synthesize pageSize;
@synthesize pageCount;
@synthesize recordCount;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation Customer
@synthesize fid;
@synthesize code;
@synthesize name;
@synthesize address;
@synthesize lng;
@synthesize lat;
@synthesize updateName;
@synthesize updateBy;
@synthesize updateDate;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation Depot
@synthesize fid;
@synthesize code;
@synthesize lng;
@synthesize lat;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation QueryResultPaging
@synthesize page;
@synthesize pageSize;
@synthesize pageCount;
@synthesize recordCount;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation Distance
@synthesize fid;
@synthesize startCustomerCode;
@synthesize endCustomerCode;
@synthesize distance;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation Driver
@synthesize fid;
@synthesize code;
@synthesize name;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation LoginResult
@synthesize driver;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation ResetPasswordRequest
@synthesize code;
@synthesize smsCode;
@synthesize fnewPassword;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"newPassword": @"fnewPassword",
                                                       }];
}


@end

@implementation ModifyPasswordRequest
@synthesize driverId;
@synthesize oldPassword;
@synthesize fnewPassword;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"newPassword": @"fnewPassword",
                                                       }];
}


@end

@implementation LoginRequest
@synthesize username;
@synthesize password;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation QueryOrder
@synthesize field;
@synthesize direction;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation Busbill
@synthesize fid;
@synthesize billNumber;
@synthesize pickingDate;
@synthesize driverInfo;
@synthesize busInfo;
@synthesize state;
@synthesize dtls;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


+(JSONKeyMapper*)keyMapper
{
    return [[JSONKeyMapper alloc] initWithDictionary:@{
                                                       @"id": @"fid",
                                                       }];
}


@end

@implementation CustomerQueryDefintion
@synthesize codeEqualsOrNameLike;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation DepotQueryDefintion

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation DistanceQueryDefintion
@synthesize codeEqualsOrNameLike;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation DistanceQueryResult
@synthesize records;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation DepotQueryResult
@synthesize records;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation CustomerQueryResult
@synthesize records;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation BusbillQueryResult
@synthesize records;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation BusbillQueryDefintion
@synthesize driverCode;
@synthesize date;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation BusbillDtlQueryResult
@synthesize records;

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

@implementation BusbillDtlQueryDefintion

+(BOOL)propertyIsOptional:(NSString*)propertyName
{
    return YES;
}


@end

